Sincronizar precios
curl --request PUT \
--url https://api.filexpress.app/api/external/pricing/price-lists/{id}/prices \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"prices": [
{
"product_id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"price": 1.25
},
{
"product_id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"price": 2.5
}
]
}
'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prices: [
{product_id: '9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11', price: 1.25},
{product_id: '3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01', price: 2.5}
]
})
};
fetch('https://api.filexpress.app/api/external/pricing/price-lists/{id}/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/pricing/price-lists/{id}/prices"
payload = { "prices": [
{
"product_id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"price": 1.25
},
{
"product_id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"price": 2.5
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/pricing/price-lists/{id}/prices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'prices' => [
[
'product_id' => '9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11',
'price' => 1.25
],
[
'product_id' => '3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01',
'price' => 2.5
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"updated": 2,
"rejected": [
"3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01"
]
}
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Price list not found"
}{
"status": false,
"message": "Validation errors",
"errors": {
"prices.0.price": [
"The prices.0.price must be at least 0."
]
}
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Sincronizar precios
Crea o actualiza en lote (hasta 1000) los precios de la lista.
Permiso requerido: pricing.write
PUT
/
pricing
/
price-lists
/
{id}
/
prices
Sincronizar precios
Authorizations
API Key de la integración (Integraciones → Nueva Integración).
Path Parameters
ID de la lista de precios
Body
application/json
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes